{ config, pkgs, lib, ... }:

let
  cfg = config.samfelag.profiles.gaming;
in
{
  options.samfelag.profiles.gaming = {

    enable = lib.mkEnableOption "gaming profile";
  };

  config = lib.mkIf cfg.enable {
    programs.steam = {
      enable = true;
      remotePlay.openFirewall = true; # Open ports in the firewall for Steam Remote Play
      dedicatedServer.openFirewall = true; # Open ports in the firewall for Source Dedicated Server
    };
  };
}
